Bug 13469 - Unapi path to XSLTs is wrong in OPAC
Summary: Unapi path to XSLTs is wrong in OPAC
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 3.16
Hardware: All All
: P5 - low minor (vote)
Assignee: David Cook
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-16 01:45 UTC by David Cook
Modified: 2016-06-21 21:37 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13469 - Unapi path to XSLTs is wrong in OPAC (1.66 KB, patch)
2014-12-16 02:04 UTC, David Cook
Details | Diff | Splinter Review
Bug 13469 - Unapi path to XSLTs is wrong in OPAC (1.96 KB, patch)
2014-12-17 15:19 UTC, Marcel de Rooy
Details | Diff | Splinter Review
[PASSED QA] Bug 13469 - Unapi path to XSLTs is wrong in OPAC (1.99 KB, patch)
2014-12-19 12:13 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description David Cook 2014-12-16 01:45:38 UTC
Currently, Unapi points to C4::Context->config('intranetdir')."/koha-tmpl/intranet-tmpl/prog/en/xslt/".

However, it should point to C4::Context->config('intrahtdocs')."/prog/en/xslt/".

The first path is set up just to work with a Git install, while the latter will work on every install.
Comment 1 David Cook 2014-12-16 02:04:23 UTC Comment hidden (obsolete)
Comment 2 Marcel de Rooy 2014-12-17 15:19:34 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2014-12-19 12:13:49 UTC
Created attachment 34530 [details] [review]
[PASSED QA] Bug 13469 - Unapi path to XSLTs is wrong in OPAC

The Unapi path to XSLTs is wrong in the OPAC.

Unfortunately, it's coded to work just for Git installs, which makes it
tough to test.

_TEST PLAN_

Before applying:
1) Go to
http://GIT-INSTALL/cgi-bin/koha/unapi?id=koha:biblionumber:1&format=oai_dc
2) If the biblionumber exists, it should show you the record in OAI_DC format.
3) Go to
http://REGULAR-INSTALL/cgi-bin/koha/unapi?id=koha:biblionumber:1&format=oai_dc
4) You should get a software error

Apply the patch.

After applying:
1) Refresh the page for
http://yourgitinstall/cgi-bin/koha/unapi?id=koha:biblionumber:1&format=oai_dc
2) It should work exactly the same as before.

Thorough testers:
1) Push the code to that regular test install
2) Try the link again. It will properly show the converted record now.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Verified that single install
intrahtdocs==/usr/share/koha/clone1712/intranet/htdocs/intranet-tmpl plus
"/prog/en/xslt/" is the location for the required xslt files.
Script unapi in git install is still fine.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Tomás Cohen Arazi 2014-12-19 20:11:38 UTC
Patch pushed to master.

Thanks David!
Comment 5 Chris Cormack 2014-12-19 23:43:40 UTC
Pushed to 3.18.x, will be in 3.18.2
Comment 6 Mason James 2015-01-16 18:50:47 UTC
Pushed to 3.16.x, patch will be in 3.16.7